/*
 * $RCSfile: close.c,v $
 *
 * Copyright (c) 1992  Arizona Board of Regents
 *
 * $Revision: 1.1 $
 * $Date: 1995/10/26 19:15:20 $
 * $Author: ho $
 *
 * $Log: close.c,v $
 * Revision 1.1  1995/10/26 19:15:20  ho
 * Initial revision
 *
 * Revision 1.1  1992/07/22  18:39:58  davidm
 * Initial revision
 *
 */
#include "xsi_main.h"

int
close(int s)
{
    xTrace1(xsi, TR_FUNCTIONAL_TRACE, "close(s=%d)", s);

    if (!xsi_server) {
	xsi_user_init();
    } /* if */

    if (FD_ISSET(s, &is_xsi_fd)) {
	XSI(close, (xsi_server, xsi_cid, s, &stat));
	FD_CLR(s, &is_xsi_fd);
    } /* if */

    return sc_close(s);
} /* close */

			/*** end of close.c ***/
