/*
 * mnportid.h
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1991  Arizona Board of Regents
 *
 *
 * $Revision: 1.1 $
 * $Date: 1994/02/23 17:33:24 $
 *
 */

#ifndef mnportid_h

#include "xkmnipc-types.h"
#include <mach.h>
#include <mach/message.h>

/*
 *  the universal port identifier structure
 *
 *        < sequence_number, host identifier >
 *
 */

typedef struct {
  xkint32 sequence_no;
  xkint32 addr;
} mnportid_t;

#define MSGID_NETLEN	XMINT
#define MSGID_NETTYPE	MACH_MSG_TYPE_INTEGER_32
#define PORTID_SEQ_NETLEN	XMINT
#define PORTID_ADDR_NETLEN	XMINT
#define PORTID_NETLEN	(PORTID_SEQ_NETLEN + PORTID_ADDR_NETLEN)
#define PORTID_NETTYPE	MACH_MSG_TYPE_INTEGER_32
#define PORT_NUMBER_NETLEN	PORTID_NETLEN

#define mnportid_h
#endif
