/*
 * $RCSfile: bind.c,v $
 *
 * Copyright (c) 1992  Arizona Board of Regents
 *
 * $Revision: 1.1 $
 * $Date: 1995/10/26 19:15:20 $
 * $Author: ho $
 *
 * $Log: bind.c,v $
 * Revision 1.1  1995/10/26 19:15:20  ho
 * Initial revision
 *
 * Revision 1.1  1992/07/22  18:39:58  davidm
 * Initial revision
 *
 */
#include <sys/types.h>
#include <sys/socket.h>
#include "xsi_main.h"

int
bind(int s, struct sockaddr *name, int namelen)
{
    xTrace2(xsi, TR_FUNCTIONAL_TRACE, "bind(s=%d,namelen=%d)", s, namelen);

    if (!xsi_server) {
	xsi_user_init();
    } /* if */

    if (FD_ISSET(s, &is_xsi_fd)) {
	return XSI(bind, (xsi_server, xsi_cid, s, name, namelen, &stat));
    } else {
	return sc_bind(s, name, namelen);
    } /* if */
} /* bind */

			/*** end of bind.c ***/
