/* Header information */
#define OPEN_MSG   1
#define DATA_MSG   2
#define CLOSE_MSG  3

struct OpenHdr {
  int  type;
  int  CID;
  u_int  seq;
  int  SourceAddr;
  int  SourcePort;
  int  DestAddr;
  int  DestPort;
};

struct DataHdr {
  int  type;
  int  CID;
  u_int  seq;
};

struct CloseHdr {
  int  type;
  int  CID;
  u_int  seq;
};

#define LinkPort u_int

/* for doing sequence number comparisons */
#define LT( a, b ) ((a < b && (b-a)>>30 != 3) || (a > b && (a-b)>>30 == 3))
#define GT( a, b ) ((a > b && (a-b)>>30 != 3) || (a < b && (b-a)>>30 == 3))

/* for ROM options */
IPhost tcppRcvrAddr;
LinkPort tcppRcvrPort;
void tcppProcessRomFile( Protl );


				   
